nspr-4.19.0-1.el6.i686.rpm


Advertisement

Description

nspr - Netscape Portable Runtime

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename nspr-4.19.0-1.el6.i686.rpm
Package name nspr
Package version 4.19.0
Package release 1.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.mozilla.org/projects/nspr/
License MPLv2.0
Maintainer -
Download size 116.85 KB
Installed size 274.86 KB
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

Alternatives

Package Version Architecture Repository
nspr-4.19.0-1.el6.i686.rpm 4.19.0 i686 CentOS
nspr-4.19.0-1.el6.x86_64.rpm 4.19.0 x86_64 CentOS
nspr - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
rtld(GNU_HASH) -

Provides

Name Value
libnspr4.so -
libplc4.so -
libplds4.so -
nspr = 4.19.0-1.el6
nspr(x86-32) = 4.19.0-1.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package nspr-4.19.0-1.el6.i686.rpm
Source Package nspr-4.19.0-1.el6.src.rpm

Install Howto

Install nspr rpm package:

# yum install nspr

Files

Path
/lib/libnspr4.so
/lib/libplc4.so
/lib/libplds4.so

Changelog

2018-03-06 - Daiki Ueno <dueno@redhat.com> - 4.19.0-1
- Rebase to NSPR 4.19
2018-02-28 - Daiki Ueno <dueno@redhat.com> - 4.19.0-0.1.beta
- Rebase to NSPR 4.19 BETA
2017-11-08 - Daiki Ueno <dueno@redhat.com> - 4.17.0-1
- Rebase to NSPR 4.17
2016-10-21 - Daiki Ueno <dueno@redhat.com> - 4.13.1-1
- Rebase to NSPR 4.13.1
2016-10-03 - Daiki Ueno <dueno@redhat.com> - 4.13.0-1
- Rebase to NSPR 4.13
2016-01-18 - Elio Maldonado <emaldona@redhat.com> - 4.11.0-1
- Rebase to NSPR 4.11
- Resolves: Bug 1297891 - Rebase RHEL 6.8 to NSPR 4.11 in preparation for Firefox 45
2015-10-16 - Elio Maldonado <emaldona@redhat.com> - 4.10.8-2
- Resolves: Bug 1269361 - CVE-2015-7183
- nspr: heap-buffer overflow in PL_ARENA_ALLOCATE can lead to crash (under ASAN), potential memory corruption
2015-03-22 - Elio Maldonado <emaldona@redhat.com> - 4.10.8-1
- Rebase to nspr-4.10.8
- Resolves: Bug 1200920 - Rebase nspr to 4.10.8 for Firefox 38 ESR [RHEL-6.6]
2014-06-11 - Elio Maldonado <emaldona@redhat.com> - 4.10.6-1
- Rebase to nspr-4.10.6
- Resolves: rhbz#1099618 - Rebase nspr in RHEL 6.6 to NSPR 4.10.6
2014-05-22 - Elio Maldonado <emaldona@redhat.com> - 4.10.5-1
- Rebase to nspr-4.10.5
- Resolves: rhbz#1099618 - Rebase nspr in RHEL 6.6 to NSPR 4.10.5

See Also

Package Description
nspr-devel-4.19.0-1.el6.i686.rpm Development libraries for the Netscape Portable Runtime
nss-3.36.0-8.el6.i686.rpm Network Security Services
nss-devel-3.36.0-8.el6.i686.rpm Development libraries for Network Security Services
nss-pam-ldapd-0.7.5-32.el6.i686.rpm An nsswitch module which uses directory servers
nss-pkcs11-devel-3.36.0-8.el6.i686.rpm Development libraries for PKCS #11 (Cryptoki) using NSS
nss-softokn-3.14.3-23.3.el6_8.i686.rpm Network Security Services Softoken Module
nss-softokn-devel-3.14.3-23.3.el6_8.i686.rpm Development libraries for Network Security Services
nss-softokn-freebl-3.14.3-23.3.el6_8.i686.rpm Freebl library for the Network Security Services
nss-softokn-freebl-devel-3.14.3-23.3.el6_8.i686.rpm Header and Library files for doing development with the Freebl library for NSS
nss-sysinit-3.36.0-8.el6.i686.rpm System NSS Initialization
nss-tools-3.36.0-8.el6.i686.rpm Tools for the Network Security Services
nss-util-3.36.0-1.el6.i686.rpm Network Security Services Utilities Library
nss-util-devel-3.36.0-1.el6.i686.rpm Development libraries for Network Security Services Utilities
nss_compat_ossl-0.9.6-2.el6_7.i686.rpm Source-level compatibility library for OpenSSL to NSS porting
nss_compat_ossl-devel-0.9.6-2.el6_7.i686.rpm Development libraries for nss_compat_ossl
Advertisement
Advertisement